property_ids.h File Reference

Camera property identifiers. More...

`#include <stdint.h>`
`#include <libcamera/controls.h>`

Go to the source code of this file.

## Namespaces

| libcamera::properties
| Namespace for libcamera properties.

## Enumerations

enum | { LOCATION = 1 , ROTATION = 2 }
enum | libcamera::properties::LocationValues { libcamera::properties::CameraLocationFront = 0 , libcamera::properties::CameraLocationBack = 1 , libcamera::properties::CameraLocationExternal = 2 }
| Supported Location values. More...

## Variables

const Control< int32_t > | libcamera::properties::Location
| Camera mounting location.
const Control< int32_t > | libcamera::properties::Rotation
| The camera rotation is expressed as the angular difference in degrees between two reference systems, one relative to the camera module, and one defined on the external world scene to be captured when projected on the image sensor pixel array. More...
const ControlIdMap | libcamera::properties::properties
| List of all supported libcamera properties. More...

## Detailed Description

Camera property identifiers.